ResinWebTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.caucho.ResinWebTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.caucho
Class ResinWebTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.caucho.ResinWebTagsHandler

public class ResinWebTagsHandler
extends XDocletTagSupport

Template tags handler for Resin web.xml generation.

Author:
  Yoritaka Sakakura (yori@teardrop.org)
xdoclet.taghandler
  namespace="Resin"
created
  June 5, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ResinWebTagsHandler()`

Method Summary
`void` | `forAllCurrentTagParams(String template)` Iterates over all parameters of the current javadoc tag.
`String` | `parameterAsElement(Properties props)` Writes the current javadoc parameter as an xml element of the form:
`String` | `parameterAsInitParam()` Writes the current javadoc parameter as an xml element of the form:
`String` | `parameterAsXml(Properties props)` Writes the current javadoc parameter as an element or an init-param, depending on the tag attributes; if the parameter name is contained in the attributes, the 'element' form is used, else the 'init-parm' form.
`String` | `parameterName()` Returns the current javadoc parameter name.
`String` | `parameterValue()` Returns the current javadoc parameter value.
`String` | `sourceComment()` Writes an xml comment indicating the current method or class name.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResinWebTagsHandler

    public ResinWebTagsHandler()

Method Detail

### forAllCurrentTagParams

    public void forAllCurrentTagParams(String template)
                                throws XDocletException

  Iterates over all parameters of the current javadoc tag.

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### parameterAsElement

    public String parameterAsElement(Properties props)
                              throws XDocletException

  Writes the current javadoc parameter as an xml element of the form:

       parameter-value

  If the parameter maps to a non-empty value in the attributes, value is used as the xml element name instead of the javadoc parameter name.

  Parameters:
    `props` -
  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### parameterAsInitParam

    public String parameterAsInitParam()
                                throws XDocletException

  Writes the current javadoc parameter as an xml element of the form:

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### parameterAsXml

    public String parameterAsXml(Properties props)
                          throws XDocletException

  Writes the current javadoc parameter as an element or an init-param, depending on the tag attributes; if the parameter name is contained in the attributes, the 'element' form is used, else the 'init-parm' form.

  Parameters:
    `props` -
  Returns:
  Throws:
    `XDocletException`
  See Also:
    `parameterAsElement(java.util.Properties)`, `parameterAsInitParam()`
  doc.tag
    type="content"

### parameterName

    public String parameterName()
                         throws XDocletException

  Returns the current javadoc parameter name.

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### parameterValue

    public String parameterValue()
                          throws XDocletException

  Returns the current javadoc parameter value.

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### sourceComment

    public String sourceComment()
                         throws XDocletException

  Writes an xml comment indicating the current method or class name.

  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD